---
metadata:
  - name: generator
    content: Diplodoc Platform v5.46.1
alternate:
  - https://yandex.com.tr/support/wiki/en/api-ref/operations/operations__get_clone_inline_grid_operation_status.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/wiki/en/llms.txt

<div class="openapi">

# Get Clone Inline Grid Operation Status

<!-- markdownlint-disable-file -->

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.wiki.yandex.net/v1/operations/clone_inline_grid/{task_id}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_task_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "status": "scheduled",
  "progress": {
    "percentage": 0.5,
    "details": "example"
  },
  "result": {
    "grid": {
      "id": 0,
      "slug": "example"
    },
    "page": null,
    "grid_id": "example"
  }
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: [Status](#entity-Status)

An enumeration.

_Enum:_{.json-schema-reset .json-schema-value} `scheduled`, `in_progress`, `success`, `failed`
{.table-cell}
||
||

_progress_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [Progress](#entity-Progress)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "percentage": 0.5,
  "details": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_result_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: [GridCloneResponse](#entity-GridCloneResponse)

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "grid": {
    "id": 0,
    "slug": "example"
  },
  "page": null,
  "grid_id": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### Status {#entity-Status}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `scheduled`, `in_progress`, `success`, `failed`

</div>

<div class="openapi-entity">

### Progress {#entity-Progress}

#|
|| **Name** | **Description** ||
||

_details_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_percentage_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: number
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "percentage": 0.5,
  "details": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### PageSchema {#entity-PageSchema}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: integer
{.table-cell}
||
||

_slug_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example"
}
```

{% endcut %}

</div>

<div class="openapi-entity">

### GridCloneResponse {#entity-GridCloneResponse}

#|
|| **Name** | **Description** ||
||

_grid_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**Any of 2 types**" %}{.json-schema-combinators data-marker=or}

- **Type**: string&lt;uuid4&gt;

  _Example:_{.json-schema-reset .json-schema-example} `example`

- **Type**: integer

{% endcut %}

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_page_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageSchema**

  **Type**: [PageSchema](#entity-PageSchema)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "slug": "example"
  }
  ```

  {% endcut %}

{% endcut %}

The page to which the dynamic table was copied

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
||

_grid_{.json-schema-reset .json-schema-property}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **PageSchema**

  **Type**: [PageSchema](#entity-PageSchema)

  {% cut "**Example**" %}{.json-schema-example}

  ```json translate=no
  {
    "id": 0,
    "slug": "example"
  }
  ```

  {% endcut %}

{% endcut %}

During the transition period, the page schema for the legacy table type

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "id": 0,
  "slug": "example"
}
```

{% endcut %}
{.table-cell}
||
|#{.json-schema-properties}

{% cut "**Example**" %}{.json-schema-example}

```json translate=no
{
  "grid": {
    "id": 0,
    "slug": "example"
  },
  "page": null,
  "grid_id": "example"
}
```

{% endcut %}

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.